Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.content.federated
Enum RepositoryCredentialScope

    java.lang.Object
      java.lang.Enum<RepositoryCredentialScope>
          com.bea.content.federated.RepositoryCredentialScope

All Implemented Interfaces
  Serializable, Comparable<RepositoryCredentialScope>

    public enum RepositoryCredentialScope

extends Enum<RepositoryCredentialScope>

Various scopes to which a repository credential can apply.

Enum Constant Summary
`RepositoryScope` Global credential for a specific repository, configured on the RepositoryConfig object.
`UserScope` Per-user (personal) credential for a specific repository.

Method Summary
`static RepositoryCredentialScope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RepositoryCredentialScope[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RepositoryScope

    public static final RepositoryCredentialScope RepositoryScope

  Global credential for a specific repository, configured on the RepositoryConfig object.

### UserScope

    public static final RepositoryCredentialScope UserScope

  Per-user (personal) credential for a specific repository.

Method Detail

### values

    public static final RepositoryCredentialScope[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static RepositoryCredentialScope valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.